<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/NewUI/Credits/CreditsMenu.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/df9/_credits_menu_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CreditsMenu.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/df9/_credits_menu_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>CreditsMenu <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ab01db62196f53ae522bfaa6cc8f256a2">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">static</span> <span class="keywordtype">float</span>                      MENU_FADEIN_TIME    = 2.0;      <span class="comment">//fade starts as soon as menu opens</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a009a5b35c80cc12f322a86f0f19e88fc">    4</a></span>    <span class="keyword">protected</span> <span class="keyword">static</span> <span class="keywordtype">float</span>                      LOGO_FADEIN_TIME    = 1.0;      <span class="comment">//fade starts halfway through menu fade in</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ac1649525edd831676e26c4cd765eeb63">    5</a></span>    <span class="keyword">protected</span> <span class="keyword">static</span> <span class="keywordtype">float</span>                      CREDIT_SCROLL_SPEED = 200.0;    <span class="comment">//pixels per second (relative to 1080p res)</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aa8fb376ecd43125e8229cfebce1d17dd">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#aa8fb376ecd43125e8229cfebce1d17dd">m_MenuFadeInIncrement</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#af5b373730ab902fa6af71e1841c83547">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#af5b373730ab902fa6af71e1841c83547">m_MenuFadeInLevel</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a8b3954898102da46e04a98b3a9e9507d">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             m_MenuFadeInLevel2 = 1;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a46e74704d99ae3c36ca2b96a0d02b037">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a46e74704d99ae3c36ca2b96a0d02b037">m_LogoFadeInIncrement</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a1ed265ae4a267da9514ea2a1b6bd0663">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a1ed265ae4a267da9514ea2a1b6bd0663">m_LogoFadeInLevel</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aba66b7401bc6aa23eca7e2548d7e49c5">   12</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#aba66b7401bc6aa23eca7e2548d7e49c5">m_ScrollIncrement</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a0622fa07568946802ae6def873991d21">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a0622fa07568946802ae6def873991d21">m_ScrollLevel</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#af91e3413cbd2631b4ca9289f12974f9b">   14</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#af91e3413cbd2631b4ca9289f12974f9b">m_ScrollMax</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a48128f0e336a73aab4a39d321def4399">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a48128f0e336a73aab4a39d321def4399">m_ScrollSize</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a5ab4d2ded12fc796483bd1985e19c616">   17</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d1/d3e/class_json_data_credits.html">JsonDataCredits</a>               <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a5ab4d2ded12fc796483bd1985e19c616">m_CreditsData</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a06c02ac0d61b57667c4bfdc870505a28">   19</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                             m_CurrentTime = 0.0;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a0dfbafea0ae8200d4fb643f1dec96f2b">   20</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref CreditsElement&gt;</a>     m_CreditsEntries = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref CreditsElement&gt;</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ad959e050f069aa9bac98588f755c6875">   22</a></span>    <span class="keyword">protected</span> ImageWidget                       <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#ad959e050f069aa9bac98588f755c6875">m_Logo</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a833aa8ed4aa4f4accc979b90b7354ee8">   23</a></span>    <span class="keyword">protected</span> ScrollWidget                      <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a833aa8ed4aa4f4accc979b90b7354ee8">m_Scroller</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ad116580dd1b03e19982b91241a53050c">   24</a></span>    <span class="keyword">protected</span> WrapSpacerWidget                  <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#ad116580dd1b03e19982b91241a53050c">m_Content</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a5c8107483620617e4ec2234728389e3d">   25</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../db/d96/class_rich_text_widget.html">RichTextWidget</a>                    <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a5c8107483620617e4ec2234728389e3d">m_InfoPanelText</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a2cc0f3e47098f3d32d1175e269a606e8">   26</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                            <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a2cc0f3e47098f3d32d1175e269a606e8">m_InfoPanel</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">   28</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">Init</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordtype">float</span> x_f;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        layoutRoot  = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>( <span class="stringliteral">&quot;gui/layouts/new_ui/credits/credits_menu.layout&quot;</span>, null );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_Logo      = ImageWidget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;Logo&quot;</span> ) );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_Scroller  = ScrollWidget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;CreditsPanel&quot;</span> ) );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_Content   = WrapSpacerWidget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;CreditsContent&quot;</span> ) );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_InfoPanelText = <a class="code hl_class" href="../../db/d96/class_rich_text_widget.html">RichTextWidget</a>.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;InfoPanelText&quot;</span> ) );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        m_InfoPanel = layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;InfoPanel&quot;</span> );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d7/dc0/group___mouse.html#gad57993cbd18397876d8225455d414260">GetScreenSize</a>( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_MenuFadeInIncrement   = 1 / <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#ab01db62196f53ae522bfaa6cc8f256a2">MENU_FADEIN_TIME</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        m_LogoFadeInIncrement   = 1 / <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a009a5b35c80cc12f322a86f0f19e88fc">LOGO_FADEIN_TIME</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        m_ScrollIncrement       = CREDIT_SCROLL_SPEED * ( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> / 1080 );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        m_Scroller.VScrollToPos01( 0 );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        m_Scroller.GetScreenSize( x_f, m_ScrollSize );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_variable" href="../../d2/de6/class_c_game.html#ab748d4822aa46fb1dc0b069e4349acd2">GameScript</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga9547a7c2e05fe27a31297314e30ade6f">Call</a>( <span class="keyword">this</span>, <span class="stringliteral">&quot;LoadDataAsync&quot;</span>, null );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#aad4d16eb07e63bb207ab6417d8ab0424">UpdateInfoPanelText</a>(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a>().GetCurrentInputDevice());</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> layoutRoot;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aa7a3f43256c57b08bcd8e4b2abf3423a">   56</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#aa7a3f43256c57b08bcd8e4b2abf3423a">LoadDataAsync</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        m_CreditsData = <a class="code hl_class" href="../../d9/dc8/class_credits_loader.html">CreditsLoader</a>.<a class="code hl_function" href="../../d9/dc8/class_credits_loader.html#a6a5730342275ff589a7f0d6ecf173e91">GetData</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">for</span>( <span class="keywordtype">int</span> i = 1; i &lt;= m_CreditsData.Departments.Count(); i++ )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            ref CreditsDepartmentElement e = <span class="keyword">new</span> CreditsDepartmentElement( i, m_Content, m_CreditsData.Departments.Get( i - 1 ) );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            m_CreditsEntries.Insert( e );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        m_Content.Update();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a222d8f571fbc73ce67570a20c01e5b71">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a222d8f571fbc73ce67570a20c01e5b71">Update</a>( <span class="keywordtype">float</span> timeslice )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordtype">float</span> new_menu_val;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span>( m_LogoFadeInLevel != 1 )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            new_menu_val = m_MenuFadeInLevel + m_MenuFadeInIncrement * timeslice;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">if</span>( new_menu_val &lt; 1 )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                m_MenuFadeInLevel = new_menu_val;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                m_MenuFadeInLevel = 1;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">if</span>( m_MenuFadeInLevel &gt; 0.5 )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                <span class="keywordtype">float</span> new_logo_val = m_LogoFadeInLevel + m_LogoFadeInIncrement * timeslice;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                <span class="keywordflow">if</span>( new_menu_val &lt; 1 )</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                    m_LogoFadeInLevel = new_logo_val;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                    m_LogoFadeInLevel = 1;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            layoutRoot.SetAlpha( m_MenuFadeInLevel );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            m_Logo.SetAlpha( m_LogoFadeInLevel );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            m_InfoPanelText.SetAlpha( m_MenuFadeInLevel );</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( m_ScrollLevel + m_ScrollSize &lt;= m_Scroller.GetContentHeight() )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordtype">float</span> new_scroll_val = m_ScrollLevel + m_ScrollIncrement * timeslice;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            m_ScrollLevel = new_scroll_val;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            m_Scroller.VScrollToPos( m_ScrollLevel );</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            new_menu_val = m_MenuFadeInLevel2 - m_MenuFadeInIncrement * timeslice;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">if</span>( new_menu_val &gt; 0 )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                m_MenuFadeInLevel2 = new_menu_val;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a>();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            layoutRoot.SetAlpha( m_MenuFadeInLevel2 );</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            m_InfoPanelText.SetAlpha( m_MenuFadeInLevel2 );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        m_CurrentTime += timeslice;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a>().LocalRelease(<span class="stringliteral">&quot;UAUIBack&quot;</span>) )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a>();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aad4d16eb07e63bb207ab6417d8ab0424">  117</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#aad4d16eb07e63bb207ab6417d8ab0424">UpdateInfoPanelText</a>(<span class="keywordtype">int</span> input_device_type)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a>().IsEnabledMouseAndKeyboard() &amp;&amp; input_device_type == <a class="code hl_enumeration" href="../../d1/d06/input_8c.html#a541a84e06cfb332b5f5d061c2dba4d86">EInputDeviceType</a>.MOUSE_AND_KEYBOARD)</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            m_InfoPanelText.SetText(<span class="stringliteral">&quot;ESC &quot;</span> + <span class="stringliteral">&quot;#menu_back&quot;</span>);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            m_InfoPanelText.SetText(<a class="code hl_class" href="../../d8/d11/class_input_utils.html">InputUtils</a>.<a class="code hl_function" href="../../d8/d11/class_input_utils.html#a795ff30103ebb2fae58995e90a07c589">GetRichtextButtonIconFromInputAction</a>(<span class="stringliteral">&quot;UAUIBack&quot;</span>, <span class="stringliteral">&quot;#menu_back&quot;</span>, EUAINPUT_DEVICE_CONTROLLER, <a class="code hl_class" href="../../d8/d11/class_input_utils.html">InputUtils</a>.<a class="code hl_variable" href="../../d8/d11/class_input_utils.html#ab6346bb500d2d731181d0eec5ca345a1">ICON_SCALE_TOOLBAR</a>));</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a95221c1a0eabcad6044d1c11a1f4488c"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a></div><div class="ttdeci">ActionInput GetInput()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l01126">ActionBase.c:1126</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_item_base_8c_html_a604074e02bcee1dc8a5ab6bdbd2e2e84"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a></div><div class="ttdeci">void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08850">ItemBase.c:8850</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_c_game_html_ab748d4822aa46fb1dc0b069e4349acd2"><div class="ttname"><a href="../../d2/de6/class_c_game.html#ab748d4822aa46fb1dc0b069e4349acd2">CGame::GameScript</a></div><div class="ttdeci">ScriptModule GameScript</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l00012">Game.c:12</a></div></div>
<div class="ttc" id="aclass_credits_loader_html"><div class="ttname"><a href="../../d9/dc8/class_credits_loader.html">CreditsLoader</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d64/_credits_loader_8c_source.html#l00001">CreditsLoader.c:2</a></div></div>
<div class="ttc" id="aclass_credits_loader_html_a6a5730342275ff589a7f0d6ecf173e91"><div class="ttname"><a href="../../d9/dc8/class_credits_loader.html#a6a5730342275ff589a7f0d6ecf173e91">CreditsLoader::GetData</a></div><div class="ttdeci">static JsonDataCredits GetData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d64/_credits_loader_8c_source.html#l00041">CreditsLoader.c:41</a></div></div>
<div class="ttc" id="aclass_input_utils_html"><div class="ttname"><a href="../../d8/d11/class_input_utils.html">InputUtils</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/ddf/_input_utils_8c_source.html#l00001">InputUtils.c:2</a></div></div>
<div class="ttc" id="aclass_input_utils_html_a795ff30103ebb2fae58995e90a07c589"><div class="ttname"><a href="../../d8/d11/class_input_utils.html#a795ff30103ebb2fae58995e90a07c589">InputUtils::GetRichtextButtonIconFromInputAction</a></div><div class="ttdeci">static string GetRichtextButtonIconFromInputAction(notnull UAInput pInput, string pLocalizedDescription, int pInputDeviceType=EUAINPUT_DEVICE_CONTROLLER, float pScale=ICON_SCALE_NORMAL, bool pVertical=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/ddf/_input_utils_8c_source.html#l00167">InputUtils.c:167</a></div></div>
<div class="ttc" id="aclass_input_utils_html_ab6346bb500d2d731181d0eec5ca345a1"><div class="ttname"><a href="../../d8/d11/class_input_utils.html#ab6346bb500d2d731181d0eec5ca345a1">InputUtils::ICON_SCALE_TOOLBAR</a></div><div class="ttdeci">static const float ICON_SCALE_TOOLBAR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/ddf/_input_utils_8c_source.html#l00015">InputUtils.c:15</a></div></div>
<div class="ttc" id="aclass_json_data_credits_html"><div class="ttname"><a href="../../d1/d3e/class_json_data_credits.html">JsonDataCredits</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1d/_json_data_credits_8c_source.html#l00001">JsonDataCredits.c:2</a></div></div>
<div class="ttc" id="aclass_rich_text_widget_html"><div class="ttname"><a href="../../db/d96/class_rich_text_widget.html">RichTextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00312">gameplay.c:313</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00020">DayZGame.c:21</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a009a5b35c80cc12f322a86f0f19e88fc"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a009a5b35c80cc12f322a86f0f19e88fc">UIScriptedMenu::LOGO_FADEIN_TIME</a></div><div class="ttdeci">static protected float LOGO_FADEIN_TIME</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00004">CreditsMenu.c:4</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a0622fa07568946802ae6def873991d21"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a0622fa07568946802ae6def873991d21">UIScriptedMenu::m_ScrollLevel</a></div><div class="ttdeci">protected float m_ScrollLevel</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00013">CreditsMenu.c:13</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a1ed265ae4a267da9514ea2a1b6bd0663"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a1ed265ae4a267da9514ea2a1b6bd0663">UIScriptedMenu::m_LogoFadeInLevel</a></div><div class="ttdeci">protected float m_LogoFadeInLevel</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00011">CreditsMenu.c:11</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a222d8f571fbc73ce67570a20c01e5b71"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a222d8f571fbc73ce67570a20c01e5b71">UIScriptedMenu::Update</a></div><div class="ttdeci">override void Update(float timeslice)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00067">CreditsMenu.c:67</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a2cc0f3e47098f3d32d1175e269a606e8"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a2cc0f3e47098f3d32d1175e269a606e8">UIScriptedMenu::m_InfoPanel</a></div><div class="ttdeci">protected Widget m_InfoPanel</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00026">CreditsMenu.c:26</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a46e74704d99ae3c36ca2b96a0d02b037"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a46e74704d99ae3c36ca2b96a0d02b037">UIScriptedMenu::m_LogoFadeInIncrement</a></div><div class="ttdeci">protected float m_LogoFadeInIncrement</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00010">CreditsMenu.c:10</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a48128f0e336a73aab4a39d321def4399"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a48128f0e336a73aab4a39d321def4399">UIScriptedMenu::m_ScrollSize</a></div><div class="ttdeci">protected float m_ScrollSize</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00015">CreditsMenu.c:15</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a5ab4d2ded12fc796483bd1985e19c616"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a5ab4d2ded12fc796483bd1985e19c616">UIScriptedMenu::m_CreditsData</a></div><div class="ttdeci">protected ref JsonDataCredits m_CreditsData</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00017">CreditsMenu.c:17</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a5c8107483620617e4ec2234728389e3d"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a5c8107483620617e4ec2234728389e3d">UIScriptedMenu::m_InfoPanelText</a></div><div class="ttdeci">protected RichTextWidget m_InfoPanelText</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00025">CreditsMenu.c:25</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a833aa8ed4aa4f4accc979b90b7354ee8"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a833aa8ed4aa4f4accc979b90b7354ee8">UIScriptedMenu::m_Scroller</a></div><div class="ttdeci">protected ScrollWidget m_Scroller</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00023">CreditsMenu.c:23</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aa7a3f43256c57b08bcd8e4b2abf3423a"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aa7a3f43256c57b08bcd8e4b2abf3423a">UIScriptedMenu::LoadDataAsync</a></div><div class="ttdeci">void LoadDataAsync()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00056">CreditsMenu.c:56</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aa8fb376ecd43125e8229cfebce1d17dd"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aa8fb376ecd43125e8229cfebce1d17dd">UIScriptedMenu::m_MenuFadeInIncrement</a></div><div class="ttdeci">protected float m_MenuFadeInIncrement</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00007">CreditsMenu.c:7</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aad4d16eb07e63bb207ab6417d8ab0424"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aad4d16eb07e63bb207ab6417d8ab0424">UIScriptedMenu::UpdateInfoPanelText</a></div><div class="ttdeci">void UpdateInfoPanelText(int input_device_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00117">CreditsMenu.c:117</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ab01db62196f53ae522bfaa6cc8f256a2"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ab01db62196f53ae522bfaa6cc8f256a2">UIScriptedMenu::MENU_FADEIN_TIME</a></div><div class="ttdeci">static protected float MENU_FADEIN_TIME</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00003">CreditsMenu.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aba66b7401bc6aa23eca7e2548d7e49c5"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aba66b7401bc6aa23eca7e2548d7e49c5">UIScriptedMenu::m_ScrollIncrement</a></div><div class="ttdeci">protected float m_ScrollIncrement</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00012">CreditsMenu.c:12</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aca76f7de94e43c81d67d6c5b672f4fbe"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">UIScriptedMenu::Init</a></div><div class="ttdeci">override Widget Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00028">CreditsMenu.c:28</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ad116580dd1b03e19982b91241a53050c"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ad116580dd1b03e19982b91241a53050c">UIScriptedMenu::m_Content</a></div><div class="ttdeci">protected WrapSpacerWidget m_Content</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00024">CreditsMenu.c:24</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ad959e050f069aa9bac98588f755c6875"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ad959e050f069aa9bac98588f755c6875">UIScriptedMenu::m_Logo</a></div><div class="ttdeci">protected ImageWidget m_Logo</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00022">CreditsMenu.c:22</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_af5b373730ab902fa6af71e1841c83547"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#af5b373730ab902fa6af71e1841c83547">UIScriptedMenu::m_MenuFadeInLevel</a></div><div class="ttdeci">protected float m_MenuFadeInLevel</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00008">CreditsMenu.c:8</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_af91e3413cbd2631b4ca9289f12974f9b"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#af91e3413cbd2631b4ca9289f12974f9b">UIScriptedMenu::m_ScrollMax</a></div><div class="ttdeci">protected float m_ScrollMax</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df9/_credits_menu_8c_source.html#l00014">CreditsMenu.c:14</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_ga9547a7c2e05fe27a31297314e30ade6f"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga9547a7c2e05fe27a31297314e30ade6f">ScriptModule::Call</a></div><div class="ttdeci">proto volatile int Call(Class inst, string function, void parm)</div></div>
<div class="ttc" id="agroup___mouse_html_gad57993cbd18397876d8225455d414260"><div class="ttname"><a href="../../d7/dc0/group___mouse.html#gad57993cbd18397876d8225455d414260">GetScreenSize</a></div><div class="ttdeci">proto void GetScreenSize(out int x, out int y)</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
<div class="ttc" id="ainput_8c_html_a541a84e06cfb332b5f5d061c2dba4d86"><div class="ttname"><a href="../../d1/d06/input_8c.html#a541a84e06cfb332b5f5d061c2dba4d86">EInputDeviceType</a></div><div class="ttdeci">EInputDeviceType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d06/input_8c_source.html#l00002">input.c:3</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_5a24b5f2ae2b05194f42ac7ef23e72cc.html">NewUI</a></li><li class="navelem"><a class="el" href="../../dir_84e82ae1b5910133581c70af713f862b.html">Credits</a></li><li class="navelem"><a class="el" href="../../da/df9/_credits_menu_8c.html">CreditsMenu.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
